[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomComboBoxEx.DeleteSelected

Deletes the current item selected in the control.

## Declaration

Source position: comboex.pas line 173

`public procedure TCustomComboBoxEx.DeleteSelected;`

## Description

DeleteSelected uses the value in ItemIndex to determine if an item in the control has been selected. When ItemIndex contains a value other than -1, the Delete method is called to remove the item at the position in ItemIndex from the ItemsEx property. No actions are performed in the method when ItemIndex contains a non-zero negative value.

## See also

TCustomComboBox.ItemIndex |  | The index of the currently selected item, or -1 if no item is selected.
TCustomComboBoxEx.ItemsEx |  | Collection with the extended items defined for the control.
TCustomComboBoxEx.Delete |  | Deletes the item stored at the specified ordinal position in ItemsEx.